Skip to content

GeneralLedgerService⁠

Manage GL account records.

Operations⁠

getGlAccountSelectFields⁠

POST

Retrieves a general ledger account with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/generalledger/getGlAccountSelectFields
POST /nexum/627/persistent/generalledger/getGlAccountSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "0000000000",
  "GlAccountSuffix": "0",
  "GlAccountBranch": "0",
  "SelectableFields": {
    "IncludeAllGlAccountFields": true
  }
}

getGlAccountSelectFieldsFilterChildren⁠

POST

Retrieves a general ledger account with selected fields and filtered children.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/generalledger/getGlAccountSelectFieldsFilterChildren
POST /nexum/627/persistent/generalledger/getGlAccountSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "SelectableFields": {
    "IncludeAllGlAccountFields": true,
    "GlAccountFields": {
      "BalNextGlMonth": true,
      "Balance": true,
      "BalanceLastYear": true,
      "BalanceNextPeriod": true,
      "BalanceSheetColumn": true,
      "BalanceYtd": true,
      "BlankLineCode": true,
      "Branch": true,
      "Budget": [
        0
      ],
      "CommentCode": true,
      "DcRestrictionLevel": true,
      "DistributionCode": true,
      "FmLastPurgeDate": true,
      "FmLevel": true,
      "FormatType": true,
      "HistoricalBalance": [
        0
      ],
      "IndentationCode": true,
      "IqLevel": true,
      "LastFmDate": true,
      "LastPurgeDate": true
    },
    "GlAccountFmHistorySelectableFields": {
      "IncludeAllGlAccountFmHistoryFields": true,
      "GlAccountFmHistoryFields": {
        "AccountNumber": true,
        "BatchSequence": true,
        "Branch": true,
        "ConfirmationSeq": true,
        "ConsoleNumber": true,
        "DataType": true,
        "FieldName": true,
        "FieldNumber": true,
        "FmType": true,
        "Id": true,
        "IdType": true,
        "LastFmDate": true,
        "NewCharacter": true,
        "NewDate": true,
        "NewMoney": true,
        "NewNumber": true,
        "NewRate": true,
        "OldCharacter": true,
        "OldDate": true,
        "OldMoney": true
      }
    },
    "GlAccountTrackingSelectableFields": {
      "IncludeAllGlAccountTrackingFields": true,
      "GlAccountTrackingFields": {
        "CreationDate": true,
        "CreationTime": true,
        "ExpireDate": true,
        "FmLastDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true,
        "TrackingCode": true,
        "Type": true,
        "UserAmount1": true,
        "UserAmount10": true,
        "UserAmount11": true,
        "UserAmount12": true,
        "UserAmount13": true,
        "UserAmount14": true,
        "UserAmount15": true,
        "UserAmount16": true,
        "UserAmount17": true,
        "UserAmount18": true
      }
    },
    "GlHistorySelectableFields": {
      "IncludeAllGlHistoryFields": true,
      "GlHistoryFields": {
        "Amount": true,
        "Comment": true,
        "DebitCreditCode": true,
        "EffectiveDate": true,
        "GlAccountNumber": true,
        "GlCategory": true,
        "PostDate": true,
        "ProcessorUser": true,
        "Reference": true,
        "SequenceNumber": true,
        "UserNumber": true
      }
    },
    "GlSubaccountSelectableFields": {
      "IncludeAllGlSubaccountFields": true,
      "GlSubaccountFields": {
        "AccrualAmount": true,
        "AccrualEffectDate": true,
        "AccrualPostDate": true,
        "AccrualPostThruDate": true,
        "AccrualStartDate": true,
        "AccruedAmount": true,
        "AccruedCount": true,
        "AcquisitionDate": true,
        "CommentOne": true,
        "CommentTwo": true,
        "CurrentValue": true,
        "Disposition": true,
        "FirstMonthMethod": true,
        "GlOffset": true,
        "Id": true,
        "InsMaturityDate": true,
        "InsTypeDescription": true,
        "InsuranceType": true,
        "LastFmDate": true,
        "LimitValue": true
      }
    }
  },
  "ChildrenSearchFilter": {
    "GlAccountFmHistoryFilter": {
      "StartPostDate": "string",
      "EndPostDate": "string",
      "Query": "string"
    },
    "GlAccountTrackingFilter": {
      "Query": "string"
    },
    "GlHistoryFilter": {
      "Query": "string"
    },
    "GlSubaccountFilter": {
      "Query": "string"
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getGlAccountFmHistoryPagedListSelectFields⁠

POST

Retrieves a paged list of general ledger accounts with selected fields from history.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/generalledger/getGlAccountFmHistoryPagedListSelectFields
POST /nexum/627/persistent/generalledger/getGlAccountFmHistoryPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllGlAccountFmHistoryFields": true,
    "GlAccountFmHistoryFields": {
      "AccountNumber": true,
      "BatchSequence": true,
      "Branch": true,
      "ConfirmationSeq": true,
      "ConsoleNumber": true,
      "DataType": true,
      "FieldName": true,
      "FieldNumber": true,
      "FmType": true,
      "Id": true,
      "IdType": true,
      "LastFmDate": true,
      "NewCharacter": true,
      "NewDate": true,
      "NewMoney": true,
      "NewNumber": true,
      "NewRate": true,
      "OldCharacter": true,
      "OldDate": true,
      "OldMoney": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchGlAccountFmHistoryPagedSelectFields⁠

POST

Searches general ledger accounts from history with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/generalledger/searchGlAccountFmHistoryPagedSelectFields
POST /nexum/627/persistent/generalledger/searchGlAccountFmHistoryPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllGlAccountFmHistoryFields": true,
    "GlAccountFmHistoryFields": {
      "AccountNumber": true,
      "BatchSequence": true,
      "Branch": true,
      "ConfirmationSeq": true,
      "ConsoleNumber": true,
      "DataType": true,
      "FieldName": true,
      "FieldNumber": true,
      "FmType": true,
      "Id": true,
      "IdType": true,
      "LastFmDate": true,
      "NewCharacter": true,
      "NewDate": true,
      "NewMoney": true,
      "NewNumber": true,
      "NewRate": true,
      "OldCharacter": true,
      "OldDate": true,
      "OldMoney": true
    }
  },
  "SearchFilter": {
    "StartPostDate": "string",
    "EndPostDate": "string",
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getGlAccountTrackingSelectFields⁠

POST

Retrieves tracking for a general ledger account with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
GlAccountTrackingLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/generalledger/getGlAccountTrackingSelectFields
POST /nexum/627/persistent/generalledger/getGlAccountTrackingSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "GlAccountTrackingLocator": 0,
  "SelectableFields": {
    "IncludeAllGlAccountTrackingFields": true,
    "GlAccountTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getGlAccountTrackingPagedListSelectFields⁠

POST

Retrieves a paged list of tracking for a general ledger account with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/generalledger/getGlAccountTrackingPagedListSelectFields
POST /nexum/627/persistent/generalledger/getGlAccountTrackingPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllGlAccountTrackingFields": true,
    "GlAccountTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}